Bug 1640615 (CVE-2018-3258) - CVE-2018-3258 mysql-connector-java: Connector/J unspecified vulnerability (CPU October 2018)
Summary: CVE-2018-3258 mysql-connector-java: Connector/J unspecified vulnerability (CP...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-3258
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1640616 1647174 1647175 1648989 1648990 1648996
Blocks: 1640623
TreeView+ depends on / blocked
 
Reported: 2018-10-18 12:14 UTC by Andrej Nemec
Modified: 2019-09-29 15:01 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:06:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1545 None None None 2019-06-18 19:52:36 UTC

Description Andrej Nemec 2018-10-18 12:14:50 UTC
 Vulnerability in the MySQL Connectors component of Oracle MySQL (subcomponent: Connector/J). Supported versions that are affected are 8.0.12 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Connectors. Successful attacks of this vulnerability can result in takeover of MySQL Connectors.

 References:

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-3258
http://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html#CVE-2018-3258

Comment 1 Andrej Nemec 2018-10-18 12:16:22 UTC
Created mysql-connector-java tracking bugs for this issue:

Affects: fedora-all [bug 1640616]

Comment 8 msiddiqu 2019-04-17 07:00:43 UTC
Linked this task bug to a new assembler ticket.

Comment 11 Joshua Padman 2019-05-16 02:23:55 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Fuse Service Works 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 13 errata-xmlrpc 2019-06-18 19:52:34 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.3.1

Via RHSA-2019:1545 https://access.redhat.com/errata/RHSA-2019:1545

Comment 15 Doran Moppert 2019-07-01 05:05:14 UTC
Statement:

Re Hat Satellite does not support using mysql as a back end database, thus the mysql connector is not used in any Satellite installation.

The package mariadb Java client is now available in Red Hat Software Collections.  It can be installed this way:

  # yum-config-manager --enable rhel-server-rhscl-7-rpms
  # yum install rh-mariadb103-mariadb-java-client

This JDBC driver works fine with both, MariaDB and MySQL servers.  We recommend use of mariadb-java-client over mysql-java-connector where possible.

Comment 16 Product Security DevOps Team 2019-07-12 13:06:05 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-3258


Note You need to log in before you can comment on or make changes to this bug.